%define mod_name	SocksiPy-branch
%define lc_name		socksipy-branch

Name:		python-%{lc_name}
Summary:	A Python SOCKS module
Version:	1.02
Release:	%mkrel 7
Source0:	https://socksipy-branch.googlecode.com/files/%{mod_name}-%{version}.tar.gz
URL:		https://code.google.com/p/socksipy-branch/
Group:		Development/Python
License:	BSD
BuildArch:	noarch
BuildRequires:	python-setuptools

%description
It provides a socket-like interface that supports connections to any TCP
service through the use of a SOCKS4, SOCKS5 or HTTP proxy.

%package -n python3-%{lc_name}
Summary:	A Python SOCKS module
Group:		Development/Python
BuildRequires:	python3-setuptools

%description -n python3-%{lc_name}
It provides a socket-like interface that supports connections to any TCP
service through the use of a SOCKS4, SOCKS5 or HTTP proxy.

%prep
%setup -q -n %{mod_name}-%{version} 
%autopatch -p1
cp -a . %{py3dir} 

%build
%{__python} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd

%install
%{__python} setup.py install --root=%{buildroot} --skip-build

pushd %{py3dir} 
%{__python3} setup.py install --root=%{buildroot} --skip-build
popd

%files
%doc BUGS LICENSE README
%{python_sitelib}/*
%{python_sitelib}/*.egg-info

%files -n python3-%{lc_name}
%doc BUGS LICENSE README
%{python3_sitelib}/* 
%{python3_sitelib}/*.egg-info


%changelog
* Fri Feb 19 2016 umeabot <umeabot> 1.02-7.mga6
+ Revision: 970941
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 1.02-6.mga6
+ Revision: 888871
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 1.02-5.mga5
+ Revision: 740530
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.02-4.mga5
+ Revision: 729779
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.02-3.mga5
+ Revision: 688343
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.02-2.mga5
+ Revision: 629022
- Rebuild for new Python

* Sun Dec 08 2013 pterjan <pterjan> 1.02-1.mga4
+ Revision: 555989
- imported package python-socksipy-branch

